
@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);


.searchbar-closed{
    right:-100% !important;
    transition: all 1000ms;
}
.category-search{
    // afbeelding als geen zoek resultaten
    
    position: fixed;
    top: 10vh;
    right:  10px;
    transition: all 1000ms;
    z-index: 100;
    .search-options{
        p{
            font-size: 1.2rem;
        }
        padding: $normalPadding;
        border: 1px solid $black;
        border-radius: 5px;
        background-color: $white;
        width: 400px;
 
    }
    .input-row{
        height: 30px;
        .check{
            padding: 0px;
           width: 30px;
           height: 30px;
           input{
               height: 30px;
               width: 30px;
           }
        }
        .label{
            width:80%;
        }
        display: flex;
        flex-direction: row !important;
    }
    div{
        padding: $normalPadding 0;
        

        input{
            position: relative;
            background-color: $white;
            border: solid 2px $black;
            border-radius: 5px;
            width: 400px;
            height: 35px;
            font-size: 1.5rem;
        }
        .search{
            &:hover{
                cursor: pointer;
            }
            position: absolute;
            top: 100px;
            left: 85%;
            color: $black;
            font-size: 1.5rem;
        }
        .search-message{
            border-radius: 5px;
            padding: $normalPadding;
            padding-top: $normalPadding;
            width:400px ;
            height: 50px;
            color: $black;
            background-color: $white;
            border: 1px solid $black;
         
        }

    }

}
.category{

    position: relative;
    @include flexBox();
    .product-overview{
        padding: $bigPadding 0px ;
        max-width: $maxWidthPage;
        width: 90vw;

    }

   

    // ---desktop styling-------------
    @media only screen and (min-width: $smallScreen) {



   
        .cat-tyle-small{
            display:none;
        }
        .page-title{
            
            padding-top: 50px;
            color: $white;
            h2{
                font-size: 4rem;
                color: $white;           
            }
        }
        .category-description-image{
            img{
                z-index: -1;
                position: absolute;
                top:0px;
                width: 100%;
                height: 320px;
                object-fit: cover;
               

            }

            z-index: -1;
            position: absolute;
            top:0px;
            width: 100%;
            height: 300px;
            // background-image: url("https://wdev.be/wdev_alexander/eindwerk/system/image.php?test.jpg&width=1000&image=/wdev_alexander/eindwerk/system/img/fe/beach.jpg");
            // background-size: cover;
            // background-position: center;
    
        }
        .categorie-description{
            padding-top:20px;
            padding-bottom: 70px;

            display:block;
            color: $white;
            font-size: 1.5rem;
            max-width: 1000px;
            height: 120px;
            span{
                line-height: 2rem;
                text-align: center;
            }
        }
        .page-wrapper{
            
        
            position: absolute;
            top:0;
            // display: none;
            width: 100%;
            height: 300px;
            background-color: $white;
            opacity: 0;
            transition: all 100ms;
        }
        .cat-scroller{
            padding: $smallPadding;
            max-width: $maxWidthPage;
            width: 95vw;
            @include flexBox(row,flex-start,center,wrap);
            border-bottom: solid $black 1px;
            border-top: solid $black 1px;
     
        
        }


        .active-cat{
            font-size: 1.2rem;
            img{
                width: 200px !important;
                border: 1px solid $loadingColor;
                box-shadow: 15px 12px  10px $gray;
                
            }
         
        }
        
        .cat-tyle-big{
            position: relative;
            margin :$normalPadding $bigPadding;
            

            figure{
               
                img{
           
                    width: 180px;
                }

                transition: all 500ms;
                figcaption{          
                   
                    &:hover{
                        box-shadow: 15px 15px 6px $gray;
                  
                        transition: all 1000ms;
                        p{
                            font-size: 1.2rem;
                         
                            transition: all 1500ms;
                        }
                        
                    }
                    transition: all 1000ms;
                    width: 100%;
                    height: 100%;
                    top: 0;                 
                    left: 0;
                    position: absolute;
                    background-color: $blackExtraTransparent;
         
                    @include flexBox(row,center,flex-end);
                    p{

                        padding-bottom: $bigPadding;
                        font-weight: bold;
                        @include link($white,1.1rem);
                    }        
                       text-align: center;
                }
            }
        }

        .product-overview{
            .no-prod{
                min-width: 95vw !important;
                height: 300px;
                background-image:url("https://wdev.be/wdev_alexander/eindwerk/system/image.php?test.jpg&width=700&image=/wdev_alexander/eindwerk/system/img/fe/noting.png")  !important;
                background-repeat: no-repeat;
             
  
            }
            margin: $bigPadding !important;
            // height: 1000px;
            // overflow-y: scroll;
            max-width: $maxWidthPage;
            width: 90vw;
            @include grid(250px,40px);
            padding-bottom: $normalPadding ;

        }
       
    } 

    // mobile styling 
    @media only screen and (max-width: $smallScreen) {
        @include flexBox();

        section{

            max-width: $maxWidthPage;
        }

        .category-description-image{
            display:none;
        }
        .category-description-desktop{
            display:none;
    
        }

        .product-overview{
            max-width: $maxWidthPage;
            padding:  0 !important;
            padding-bottom: $normalPadding !important;
            width: 90vw;
            @include grid(135px,20px);

            // geen producten afbeelding
            .no-prod{
                min-width: 80vw !important;
                height: 300px;
                background-image:url("https://wdev.be/wdev_alexander/eindwerk/system/image.php?test.jpg&width=700&image=/wdev_alexander/eindwerk/system/img/fe/noting.png")  !important;
                background-repeat: no-repeat;
                background-position:  center;
  
            }

        }
        .categorie-description{
            padding: $normalPadding 0;
            line-height: 1.6rem;
            width: 80%;
            span{
                text-align: center;
            }        
        }

        /* ---- sub-categorie tegels---- */

        .cat-scroller{
            margin-top: 5px;
            padding: 15px !important;
            border-bottom: solid $black 1px;
            border-top: solid $black 1px;
            width: 85vw;
            @include flexBox(row,flex-start,center,wrap);

            .cat-tyle-big{
                display: none;
            }
            .active-cat-small{
                background-color: $white !important;
                text-shadow: 5px 6px 3px $gray;
                a{
                    text-decoration: none !important;
                    color: $black !important;
                    font-weight: bold;
                    font-size: 1.2rem !important;
                }
            }
            .cat-tyle-small{
                      box-shadow: 4px 2px $lightBlack;
                margin: $smallPadding;
                padding: $smallPadding;
         
                height: 30px;
                border: 1px solid $black;
                border-radius: 10px;
                @include flexBox();
                background-color: $black;
                a{
                    @include link($white);
                    padding:10px;
                }

            }


        }
        // zoek balk aanpassen aan mobile
      

 
    } 

}

@media only screen and (max-width: $smallScreen){
    .category-search{
  
        position: fixed;
        top: 10vh;
        right:  10px;
        transition: all 1000ms;
        z-index: 100;
        div{
            padding: $normalPadding 0;
            .search-options{
                background-color: $white;
                width: 80vw;
            }
    
            input{
                position: relative;
                background-color: $white;
                border: solid 2px $black;
                border-radius: 5px;
                width: 80vw;
                height: 35px;
                font-size: 1.5rem;
            }
            .search{
                &:hover{
                    cursor: pointer;
                }
                position: absolute;
                top: 105px;
                left: 85%;
                color: $black;
                font-size: 1.5rem;
            }
            .search-message{
                border-radius: 5px;
                padding: $normalPadding;
                padding-top: $normalPadding;
                width:80vw ;
                height: 50px;
                color: $black;
                background-color: $white;
                border: 1px solid $black;
             
            }
    
        }
    
    }
}

